Package picard.util

# Enum Class IntervalListTools.Action

java.lang.Object
java.lang.Enum<IntervalListTools.Action>
picard.util.IntervalListTools.Action

All Implemented Interfaces:
  `Serializable`, `Comparable<IntervalListTools.Action>`, `Constable`, `org.broadinstitute.barclay.argparser.CommandLineParser.ClpEnum`

Enclosing class:
  IntervalListTools

public static enum IntervalListTools.Action extends Enum<IntervalListTools.Action> implements org.broadinstitute.barclay.argparser.CommandLineParser.ClpEnum

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CONCAT`
`INTERSECT`
`OVERLAPS`
`SUBTRACT`
`SYMDIFF`
`UNION`

## Method Summary

Modifier and Type
Method
Description
`String`
`getHelpDoc()`
`static IntervalListTools.Action`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IntervalListTools.Action[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CONCAT

public static final IntervalListTools.Action CONCAT

### UNION

public static final IntervalListTools.Action UNION

### INTERSECT

public static final IntervalListTools.Action INTERSECT

### SUBTRACT

public static final IntervalListTools.Action SUBTRACT

### SYMDIFF

public static final IntervalListTools.Action SYMDIFF

### OVERLAPS

public static final IntervalListTools.Action OVERLAPS

## Method Details

### values

public static IntervalListTools.Action[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IntervalListTools.Action valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getHelpDoc

public String getHelpDoc()

Specified by:
  `getHelpDoc` in interface `org.broadinstitute.barclay.argparser.CommandLineParser.ClpEnum`